#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

const long double EPS = 1e-6;

int main() {
	int n;
	long long k;
	cin >> n >> k;
	
	long double k0 = 0;
	vector <pair <int, int>> s(n);
	for (int i = 0; i < n; i++)
		cin >> s[i].first;
	for (int i = 0; i < n; i++) {
		cin >> s[i].second;
		k0 += (long double)abs(s[i].second - s[i].first) / s[i].first;
	}
	
	sort(s.begin(), s.end());
	
	long long ans = 0;
	for (int i = 0; i < n && k0 > k + EPS; i++) {
		if (k0 - (long double)abs(s[i].second - s[i].first) / s[i].first > k + EPS) {
			ans += abs(s[i].second - s[i].first);
			k0 -= (long double)abs(s[i].second - s[i].first) / s[i].first;
		}
		else {
			ans += ceil((k0 - k) * s[i].first);
			if ((k0 - k) * s[i].first - (int)((k0 - k) * s[i].first) < EPS && ceil((k0 - k) * s[i].first) > (int)((k0 - k) * s[i].first)) ans--;
			break;
		}
	}
	
	cout << ans << '\n';
	
	return 0;
}