#include <iostream>
#include <cmath>

using namespace std;

int main() {
	long long n, k, s1, s2;
	cin >> n >> k >> s1 >> s2;
	
	if (n == 1) {
        auto x = (1 <= s1 && s1 <= k);
        auto y = (1 <= s2 && s2 <= k);
        cout << (x && !y ? "First" : (!x && y ? "Second" : "Equal")) << '\n';
        return 0;
    }
	
	long long c1, c2;
	if (s1 < n || s1 > n * k) c1 = 4'000'000'000'000'000'000;
	else c1 = abs(2 * s1 - n * (k + 1));
	if (s2 < n || s2 > n * k) c2 = 4'000'000'000'000'000'000;
	else c2 = abs(2 * s2 - n * (k + 1));
	
	if (c1 == c2) cout << "Equal";
	else if (c1 > c2) cout << "Second";
	else cout << "First";
	
	return 0;
}