from collections import deque


n, m, k = map(int, input().split())
g = []
for i in range(n):
    g.append(input())
sx, sy = map(int, input().split())
fx, fy = map(int, input().split())
sx -= 1
sy -= 1
fx -= 1
fy -= 1
q = deque()
q.append([sx, sy])
dist = [[10 ** 12] * m for _ in range(n)]
dist[sx][sy] = 0
moves = [
    [-1, 0, 0],
    [0, -1, 0],
    [1, 0, 0],
    [0, 1, 0],
    [-2, 0, 1],
    [0, -2, 1],
    [2, 0, 1],
    [0, 2, 1]
]
is_in_range = lambda x, r : x >= 0 and x < r
check = lambda x, y: is_in_range(x, n) and is_in_range(y, m) and g[x][y] == '.'
while q:
    cur = q.popleft()
    for i, j, w in moves:
        nxt = [cur[0] + i, cur[1] + j]
        if check(nxt[0], nxt[1]) and dist[nxt[0]][nxt[1]] > dist[cur[0]][cur[1]] + w:
            if w == 1:
                q.append(nxt)
            else:
                q.appendleft(nxt)
            dist[nxt[0]][nxt[1]] = dist[cur[0]][cur[1]] + w
print('YES' if dist[fx][fy] <= k else 'NO')