#include <bits/stdc++.h>
using namespace std;

#define endl '\n'
using ll = long long;

unordered_map<string, pair<unordered_set<ll>, set<ll>>> numbers_suffix;

void solve()
{
    int q;
    cin >> q;
    while (q--) {
        string name;
        cin >> name;
        ll number = 0, pow10 = 1;
        while (name.size() && isdigit(name.back())) {
            number += (name.back() - '0') * pow10;
            pow10 *= 10;
            name.pop_back();
        }
        auto& [busy, free] = numbers_suffix[name];
        if (busy.count(number)) {
            number = number * 10 + 1;
            auto it = free.lower_bound(number);
            if (it != free.end()) {
                number = *it;
            }
        }
        cout << name;
        if (number)
            cout << number;
        cout << endl;
        free.erase(number);
        busy.insert(number);
        if (!busy.count(number + 1))
            free.insert(number + 1);
    }
}

int main()
{
#ifndef ONLINE_JUDGE
    freopen("input.txt", "r", stdin);
#else
    ios_base::sync_with_stdio(false);
    cin.tie(0);
#endif // MY
    numbers_suffix.reserve(1e6);
    solve();
}
